PETSc version 3.17.4
Fix/Edit manual page

# DMPlexCreateEGADSFromFile

Create a DMPlex mesh from an EGADS, IGES, or STEP file.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateEGADSFromFile(MPI_Comm comm, const char filename[], DM *dm)

Collective

### Input Parameters

| comm | - The MPI communicator
| filename | - The name of the EGADS, IGES, or STEP file

### Output Parameter

| dm | - The DM object representing the mesh

### See Also

DMPLEX, DMCreate(), DMPlexCreateEGADS(), DMPlexCreateEGADSLiteFromFile()

### Level

beginner

### Location

src/dm/impls/plex/plexegads.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages